Subject: Re: tiny wishlist item for colorsets ...

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 17 Dec 2002 00:35:26 +0000

On 17 Dec 2002 10:12:28 +1100, Cameron Simpson wrote:
> 
> Possibly this shouldn't go directly to you, but anyway...

Yes, it should not go to me. Although I may filter it, of course. :)

> It would be really nice to have:
> 
> 	Colorset n UseColorset m
> 
> to prep a fresh colorset based on a previous one.
> I have a few colorsets that resemble each other with minor changes, and find
> it error prone to repeat tweaks to all of them.

Something like this is needed. It even may [be the only way to] activate
an internal cache for tinted images/gradients.

I see several posibilities, like:

  CopyColorset m n
  Colorset n Reuse m, fg yellow

Probably the second is more useful although the first is more clean.

Also real dependancies between colorsets would be nice (you change m, then
n is automatically reapplied), but this is pretty difficult to implement,
a one time copy is good enough.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]